package cn.net.cpzslibs.prot.handset.bean.req;

import java.io.Serializable;
import java.util.List;

public class Prot20002ReqBean implements Serializable{
	private String product_id;
	private String produce_date;
	private String produce_batch;
	private String producer;
	private int type;
	private List<String> single;
	private Prot20002ReqBatchBean batcher;
	private String package_id;
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getProduce_date() {
		return produce_date;
	}
	public void setProduce_date(String produce_date) {
		this.produce_date = produce_date;
	}
	public String getProduce_batch() {
		return produce_batch;
	}
	public void setProduce_batch(String produce_batch) {
		this.produce_batch = produce_batch;
	}
	public String getProducer() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public List<String> getSingle() {
		return single;
	}
	public void setSingle(List<String> single) {
		this.single = single;
	}
	public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}
	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}
	public String getPackage_id() {
		return package_id;
	}
	public void setPackage_id(String package_id) {
		this.package_id = package_id;
	}
	@Override
	public String toString() {
		return "Prot20002ReqBean [product_id=" + product_id + ", produce_date=" + produce_date + ", produce_batch="
				+ produce_batch + ", producer=" + producer + ", type=" + type + ", single=" + single + ", batcher="
				+ batcher + ", package_id=" + package_id + "]";
	}
}
